Get-Individuals by Company ID

Credentials

No credentials are documented for this endpoint.

This route will help you receive all of the data regarding the individuals

Parameters

Name In Type Required Description
PayMe-Signature header string no Example: sk_test_individual_123ASD
mpl_key path string yes

Request body

Content type: application/json

Code samples

curl

curl -X GET 'https://sandbox.payme.io/api/sellers/<mpl_key>/individuals' \
  -H 'Content-Type: application/json' \
  --data-raw '{}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/sellers/<mpl_key>/individuals", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({}),
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://sandbox.payme.io/api/sellers/<mpl_key>/individuals",
    json={},
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/sellers/<mpl_key>/individuals');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code integer
page integer
items_per_page integer
items_total integer
items array
items[].guid string
items[].first_name string
items[].last_name string
items[].social_id string
items[].email string
items[].national_id string
items[].role array
items[].is_primary boolean
items[].ownership_percentage string
items[].business_title string
items[].first_name_international string
items[].last_name_international string
items[].social_id_issued integer
items[].national_id_country string
items[].birthdate integer
items[].gender integer
items[].phone_number string
items[].email_address string
items[].bank string
items[].bank_account_branch string
items[].bank_account_number string
items[].bank_routing_number_foreign string
items[].bank_iban string
items[].address_street_name string
items[].address_street_international string
items[].address_street_number string
items[].address_zip_code string
items[].address_city_name string
items[].address_city_international string
items[].address_state_name string
items[].address_country_name string
{
  "status_code": 0,
  "page": 1,
  "items_per_page": 500,
  "items_total": 1,
  "items": [
    {
      "guid": "INDV1693-14592531-QZKL0HO9-PO6QZBDN",
      "first_name": "Ohad",
      "last_name": "Dabush",
      "social_id": "301105052",
      "email": null,
      "national_id": null,
      "role": [
        "Owner",
        "Signatory",
        "Director",
        "Executive",
        "Back Office"
      ],
      "is_primary": true,
      "ownership_percentage": null,
      "business_title": null,
      "first_name_international": "",
      "last_name_international": "",
      "social_id_issued": 1508907600,
      "national_id_country": null,
      "birthdate": 562140000,
      "gender": 0,
      "phone_number": null,
      "email_address": null,
      "bank": null,
      "bank_account_branch": null,
      "bank_account_number": null,
      "bank_routing_number_foreign": null,
      "bank_iban": null,
      "address_street_name": null,
      "address_street_international": null,
      "address_street_number": null,
      "address_zip_code": null,
      "address_city_name": null,
      "address_city_international": null,
      "address_state_name": null,
      "address_country_name": null
    }
  ]
}